Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79791 - Sat-sync fails against WebQA
Summary: Sat-sync fails against WebQA
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Chip Turner
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-16 21:11 UTC by Matt Jamison
Modified: 2007-07-31 19:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-17 16:04:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Josef Komenda 2002-12-16 21:11:43 UTC
Description of problem: Sat-sync fails against WebQA after package data processing:


Mon Dec 16 15:25:40 2002 - Processing rpm packages complete
Mon Dec 16 15:25:40 2002 -
Mon Dec 16 15:25:40 2002 - Processing package data
Mon Dec 16 15:25:40 2002 -    Retrieving / parsing package data (for metadata deeme
d relevant): redhat-linux-i386-7.3 (1874)
Mon Dec 16 15:25:40 2002 -    * WARNING: this may be a very slow process.
            ________________________________________
Processing: ######################################## - complete
Mon Dec 16 16:10:12 2002 -    Package data parse/import summary: redhat-linux-i386-
7.3
                                  parse success: 1874
                                  parse fail:    0
Mon Dec 16 16:10:12 2002 -    Linking channels to package data: redhat-linux-i386-7
.3
Traceback (innermost last):
  File "/usr/bin/satellite-sync", line 49, in ?
    satsync.main()
  File "/var/www/rhns/satellite_tools/satsync.py", line 714, in main
    report = syncer.processPackages(allPackageDataYN=actionDict['allpackages'])
  File "/var/www/rhns/satellite_tools/satsync.py", line 284, in processPackages
    importer.run()
  File "/var/www/rhns/server/importlib/importLib.py", line 432, in run
    self.fix()
  File "/var/www/rhns/server/importlib/packageImport.py", line 52, in fix
    self.__copyChannels(package, package)
  File "/var/www/rhns/server/importlib/packageImport.py", line 136, in __copyChanne
ls
    "Unsupported channel %s" % channelName)
server.importlib.importLib.InvalidChannelError: Unsupported channel redhat-linux-i3
86-7.3

Comment 1 Josef Komenda 2002-12-16 21:12:45 UTC
System is sat-app

Comment 2 Chip Turner 2002-12-16 22:21:22 UTC
fixed for proxy, try again on 7.3

Comment 3 Josef Komenda 2002-12-17 16:04:52 UTC
Works like a champ parent channels, child channels, refreshes. 


Note You need to log in before you can comment on or make changes to this bug.